ECHO OFF
cls
ECHO.
ECHO PC Frontier Installation
ECHO ------------------------
ECHO.
IF "%1"=="C" GOTO DRIVEOK
IF "%1"=="D" GOTO DRIVEOK
IF "%1"=="E" GOTO DRIVEOK
IF "%1"=="F" GOTO DRIVEOK
IF "%1"=="G" GOTO DRIVEOK
IF "%1"=="H" GOTO DRIVEOK
IF "%1"=="I" GOTO DRIVEOK
IF "%1"=="c" GOTO DRIVEOK
IF "%1"=="d" GOTO DRIVEOK
IF "%1"=="e" GOTO DRIVEOK
IF "%1"=="f" GOTO DRIVEOK
IF "%1"=="g" GOTO DRIVEOK
IF "%1"=="h" GOTO DRIVEOK
IF "%1"=="i" GOTO DRIVEOK
ECHO Please type INSTALL X, where X is the letter of the drive you
ECHO wish to install Frontier to (for example INSTALL C).
echo.
GOTO :EXINSTALL

:DRIVEOK
CLS
ECHO Choose language
ECHO.
ECHO 1. English
ECHO 2. Deutsch
ECHO 3. Francais
ECHO 4. Espanol
ECHO.
ECHO Your choice?
:error
ASK
if errorlevel 4 goto spanish
if errorlevel 3 goto french
if errorlevel 2 goto german
if errorlevel 1 goto english
goto error

:english
ECHO Creating directory %1:\FRONTIER
MKDIR %1:\FRONTIER >NUL
ECHO Creating directory %1:\FRONTIER\COMMANDR
MKDIR %1:\FRONTIER\COMMANDR >NUL
ECHO Installing game files
COPY english\*.* %1:\FRONTIER
goto exit

:german
ECHO Creating directory %1:\FRONTIER
MKDIR %1:\FRONTIER >NUL
ECHO Creating directory %1:\FRONTIER\COMMANDR
MKDIR %1:\FRONTIER\COMMANDR >NUL
ECHO Installing game files
COPY german\*.* %1:\FRONTIER
goto exit

:french
ECHO Creating directory %1:\FRONTIER
MKDIR %1:\FRONTIER >NUL
ECHO Creating directory %1:\FRONTIER\COMMANDR
MKDIR %1:\FRONTIER\COMMANDR >NUL
ECHO Installing game files
COPY french\*.* %1:\FRONTIER
goto exit

:spanish
ECHO Creating directory %1:\FRONTIER
MKDIR %1:\FRONTIER >NUL
ECHO Creating directory %1:\FRONTIER\COMMANDR
MKDIR %1:\FRONTIER\COMMANDR >NUL
ECHO Installing game files
COPY spanish\*.* %1:\FRONTIER
goto exit

:exit 
ECHO.
ECHO Installation complete.
%1:
CD \FRONTIER
ECHO Type FRONTIER to start the game.

:EXINSTALL


